Gtk_Bin(3)

NAME - Gtk_Bin

HEADER REQUIRED
#include <gtk--/bin.h&gt;>

BASE CLASSES
Gtk_Container(3)

DERIVED BY
Gtk_Alignment(3) Gtk_Button(3) Gtk_EventBox(3) Gtk_Frame(3) Gtk_HandleBox(3) Gtk_Invisible(3) Gtk_Item(3) Gtk_ScrolledWindow(3) Gtk_Viewport(3) Gtk_Window(3)

PROPERTIES

child
    Type: Gtk_Widget*

     .IP

PUBLIC MEMBER INDEX
    GtkBin*  gtkobj();
    const GtkBin*  gtkobj() const;
    static bool  isGtkBin(Gtk_Object *checkcast);
    Gtk_Bin(GtkBin *castitem);
    const Gtk_Widget*  get_child() const;
    Gtk_Widget*  get_child();

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkBin  BaseObjectType;
    typedef GtkBinClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Bin();

PRIVATE MEMBER INDEX
    static CppClassType  bin_class;
    GtkType  get_type();
    const Gtk_Widget*  _get_child() const;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS